import type { _MXCallStackTree } from "./MXCallStackTree.js";
import type { _MXDiagnostic } from "./MXDiagnostic.js";
import type { _NSMeasurement } from "../Foundation/NSMeasurement.js";
export declare class _MXCPUExceptionDiagnostic extends _MXDiagnostic {
    static alloc(): _MXCPUExceptionDiagnostic;
    static new(): _MXCPUExceptionDiagnostic;
    init(): _MXCPUExceptionDiagnostic;
    /** The application call stack tree associated with the excessive CPU consumption. */
    callStackTree(): _MXCallStackTree;
    /**
     * Total CPU time consumed in the scope of this CPU exception. Dimensioned as NSUnitDuration.
     */
    totalCPUTime(): _NSMeasurement;
    /**
     * Total time that the application was sampled for during the CPU exception. Dimensioned as NSUnitDuration.
     */
    totalSampledTime(): _NSMeasurement;
}
